Cómo instalar Pentaho Data Integration (PDI) Tool en Ubuntu

Herramienta de integración de datos de Pentaho (PDI)

Las herramientas de integración de datos de código abierto están disponibles para la inteligencia de negocios (BI) y los procesos de visualización de datos. Hay varias herramientas de integración de datos de código abierto como Clover ETL, Pentaho, Karma, Pimcore, Skool, Myddleware, Talend Open Studio. Entre ellos, PDI es la herramienta de integración de datos más utilizada y fácil de usar. Tiene una interfaz gráfica de usuario (GUI) inteligente y equilibrada. PDI se usa principalmente para el procesamiento de datos, que también se puede usar con el sistema de archivos Hadoop (HDFS).

Para el procesamiento analítico en línea (OLAP) y la visualización de datos, es muy importante manejar los datos con cuidado y manipularlos si es necesario. Para este tipo de trabajo, la integración de datos de Pentaho es una herramienta útil que se puede ejecutar en casi todos los sistemas operativos.

Este artículo asume que posees los conocimientos mínimos de Linux, sabes cómo usar la terminal, y lo más importante, conoces tu servidor. La configuración es simple y se asume que estás ejecutando la terminal con la cuenta de root (sudo su), si no es así, deberás adicionar ‘sudo’ a los comandos para obtener los privilegios de root.

Instalación de la herramienta de integración de datos Pentaho

La herramienta de integración de datos de Pentaho requiere la versión 1.8 de Java. Si se está ejecutando alguna otra versión de Java dentro de su sistema, debe desinstalarla y volver a instalar java 8. Debe asegurarse de tener java 8 instalado de forma predeterminada.

Comprobación de la versión instalada de Java

Para verificar la versión actual de Java de su máquina, vaya a la terminal y escriba el comando de terminal que se indica a continuación. Esto mostrará su versión actual de Java si ya tiene alguna versión de Java instalada.

java -version

Si su servidor no tiene ningún java instalado, le mostrará las líneas de comando básicas de cómo instalar Java desde la terminal.

Instalar y configurar Java 8

Si tiene una versión superior de Java instalada en su sistema, primero debe eliminarla. Para hacerlo, escriba la siguiente línea de comandos en su terminal.

apt remove openjdk-11-jre-headless openjdk-11-jre openjdk-11-jdk-headless openjdk-11-jdk

Para instalar java 1.8 ejecutar la siguiente línea de comandos del terminal:

apt install openjdk-8-jdk

Después de instalar Java 1.8, debe conviértalo en la versión predeterminada de Java. Para eso, ejecute la línea de comandos en la terminal.

sudo apt install default-jre

Descargar la herramienta de integración de datos de Pentaho

El enlace de descarga se proporciona a continuación. Es un archivo comprimido de casi 1,7 GB.

Descargar Pentaho (https://sourceforge.net/projects/pentaho/files/latest/download)

Una vez finalizada la descarga, extrer el archivo comprimido.

Dentro de la carpeta, debe encontrar la herramienta spoon, que se ejecutará para abrir la PDI. Con la ayuda de Java, spoon ejecuta la herramienta de integración de datos Pentaho dentro del servidor.

Para ejecutar la herramienta spoon.sh, vaya dentro de la carpeta de integración de datos de Pentaho, haga clic derecho en cualquier lugar dentro de la carpeta y seleccione «abrir en una terminal»:

En la nueva terminal ejecutar:

sh spoon.sh

Si no funciona se puede intentar desinstalar nuevamente las versiones recientes de java con el comando:

apt remove openjdk-11-jre-headless openjdk-11-jre openjdk-11-jdk-headless openjdk-11-jdk

Solucionar error de dependencia libwebkitgtk

Es probable que al ejecutar por primera vez se muestre un error de dependencia del paquete libwebkitgtk

Para solucionarlo realizaremos lo siguiente:

nano /etc/apt/sources.list

Adicionar al final del archivo después grabar los cambios:

deb http://cz.archive.ubuntu.com/ubuntu bionic main universe

Actualizar:

apt update

Finalmente instalar el paquete libwebkitgtk

Para 64 bits:

apt install libwebkitgtk-1.0-0

Para 32 bits:

apt install libwebkitgtk-1.0-0:i386

Finalmente después de solucionar todos los problemas tendremos la siguiente pantalla:

sh spoon.sh

Salir de la versión móvil